<View::Base::SourceRecord
  @path={{@path}}
  @model={{@model}}
  @value={{@value}}
  @isEditor={{@isEditor}}
  @onLoad={{this.loaded}}
  class="use-highlights view-attributes-group
    {{unless this.attributes 'empty'}}"
>
  <Container
    @value={{@value.data.container}}
    @deviceSize={{@deviceSize}}
    data-name={{@value.name}}
    data-gid={{@value.gid}}
    data-path="{{@path}}.data.container"
    class="flex-wrap"
    ...attributes
  >
    <div
      class="d-none"
      data-path="{{@path}}.data.sourceAttribute"
      data-type="attributes-group"
      data-editor="attributes-group"
      data-name={{@value.name}}
      data-gid={{@value.gid}}
    ></div>

    {{#each-in this.attributes as |key value|}}
      <Container
        @value={{@value.data.itemContainer}}
        @deviceSize={{@deviceSize}}
        data-name={{@value.name}}
        data-gid={{@value.gid}}
        data-path="{{@path}}.data.itemContainer"
      >
        <TextWithOptions
          @options={{@value.data.title}}
          @tag="h"
          @deviceSize={{@deviceSize}}
          data-path="{{@path}}.data.title"
          data-text-value="true"
          data-type="title"
          data-name={{@value.name}}
          data-gid={{@value.gid}}
          class="attribute-title {{if (and @isEditor (not key)) 'empty'}}"
        >{{!
      }}{{key}}{{!
    }}</TextWithOptions>
        <NiceValue
          @value={{value}}
          @options={{@value.data.attributeStyle}}
          @path="{{@path}}.data.attributeStyle"
          @type="value"
          @name={{@value.name}}
          @gid={{@value.gid}}
          class="attribute-value
            {{if (and @isEditor (eq value undefined)) 'empty'}}"
        />
      </Container>
    {{/each-in}}

  </Container>
</View::Base::SourceRecord>